package entity

import "go.mongodb.org/mongo-driver/bson/primitive"

// Institution defines a institution global entity
type Institution struct {
	ID          primitive.ObjectID `gorm:"primary_key" bson:"_id,omitempty" json:"id,omitempty"`
	IsValid     bool               `json:"isValid"`
	Name        string             `json:"name" binding:"required"`
	Email       string             `json:"email" binding:"required,email"`
	Description string             `json:"description" binding:"required"`
	Location    Location           `json:"location" binding:"required"`
}
