package service

import "github.com/gin-gonic/gin"

// Service is a service abstraction for Volunteer at service layer
type Service interface {
	Create(ctx *gin.Context)
	Read(ctx *gin.Context)
	Update(ctx *gin.Context)
	Delete(ctx *gin.Context)
}

